Subject: RE: [Sip] From and To-header confusion in draft-ietf-sip-replaces -04.txt

From: "Paul D.Smith" <[email-masked]>
Date: Fri, 28 Nov 2003 10:05:24 -0000

Christian,
 
If I understand you correctly, you are pointing out the following.
 
If a target receives an INVITE with Replaces headers, it has to somehow use
the Replaces To/From fields to identify a dialog.  If this dialog were
originally started by the target then there may be a mapping of:
 
To field of original INVITE ==> target's idea of remote tag
From field of original INVITE ==> target's idea of local tag.
 
However if the target did not start the dialog, the mapping is reversed.
 
To field of original INVITE ==> target's idea of local tag
From field of original INVITE ==> target's idea of remote tag.
 
And your question is... how does the Replaces To/From get mapped to the
targets idea of local/remote tags?
 
Unfortunately, this can't be resolved into a simple mapping.  A third party
REFER modifying an INVITE may not know who started the dialog and so
renaming the Replaces fields makes no difference since the referrer still
doesn't know which tag to place in which field.  The target has to perform a
lookup using both mappings - often one will find a dialog and the other will
not.
 
There is a possible issue with "loopback" type dialogs where a UA, with
multiple personalities (i.e. a gateway) may have two dialogs, one in each
direction.  In this case, it may be impossible to map to a single dialog,
which is where the following sentence from page 5 of the draft is headed...
 
  "If the Replaces header field matches more than one dialog, the UA MUST
act as if no match is found."
 
Is this a correct understanding of your posting?
 
Regards,
Paul DS.
Paul D.Smith 
Network Protocols Group 
Data Connection Ltd (DCL) 
Tel: +44 20 8366 1177  Email: [email-masked] 
Fax: +44 20 8363 1039  Web:   http://www.dataconnection.com
<http://www.dataconnection.com/>  
-----Original Message-----
From: Christian Stredicke [mailto:[email-masked]]
Sent: 27 November 2003 17:45
To: SIP (E-mail)
Subject: [Sip] From and To-header confusion in
draft-ietf-sip-replaces-04.txt

Hi!

I think there is some from and to-header confusion in the Replaces header.

Depending on who initiates the call, the to and from must be exchanged.
Maybe it would be better to use the term local and remote-tag instead or to
allow mixing from and to.

Christian

--

Christian Stredicke

tel:+49.30.39833.401 (ENUM & PSTN)

---

From: "Christian Stredicke" <[email-masked]>
Date: Fri, 28 Nov 2003 11:19:46 +0100

Hi Paul,

correct. The problem is that users get angry if the pickup does not work
just because of standards confusion. 

Our current workaround is to relax the requirement a little bit and
accept to- and from-tags exchanged. That works fine, however there is
some risk that this can lead to some false pickups. However, I don’t
know a scenario where this can be an issue.

Christian

-----Ursprüngliche Nachricht-----
Von: Paul D.Smith [mailto:[email-masked]] 
Gesendet: Freitag, 28. November 2003 11:05
An: 'Christian Stredicke'
Cc: [email-masked]'
Betreff: RE: [Sip] From and To-header confusion in

Christian,

If a target receives an INVITE with Replaces headers, it has to somehow
use the Replaces To/From fields to identify a dialog.  If this dialog
were originally started by the target then there may be a mapping of:

Unfortunately, this can't be resolved into a simple mapping.  A third
party REFER modifying an INVITE may not know who started the dialog and
so renaming the Replaces fields makes no difference since the referrer
still doesn't know which tag to place in which field.  The target has to
perform a lookup using both mappings - often one will find a dialog and
the other will not.

There is a possible issue with "loopback" type dialogs where a UA, with
multiple personalities (i.e. a gateway) may have two dialogs, one in
each direction.  In this case, it may be impossible to map to a single
dialog, which is where the following sentence from page 5 of the draft
is headed...

  "If the Replaces header field matches more than one dialog, the UA
MUST act as if no match is found."

Regards,

Paul DS.

Paul D.Smith 
Network Protocols Group 
-----Original Message-----
From: Christian Stredicke [mailto:[email-masked]]
Sent: 27 November 2003 17:45
To: SIP (E-mail)
Subject: [Sip] From and To-header confusion in

Hi!

I think there is some from and to-header confusion in the Replaces
header.

Depending on who initiates the call, the to and from must be exchanged.
Maybe it would be better to use the term local and remote-tag instead or
to allow mixing from and to.

Christian

--

Christian Stredicke

---

From: Cullen Jennings <[email-masked]>
Date: Sat, 29 Nov 2003 09:18:51 -0800

Sounds like we need to fix the draft.

On 11/28/03 2:19 AM, "Christian Stredicke" <[email-masked]> wrote:

> Hi Paul,
>  
> correct. The problem is that users get angry if the pickup does not work just
> because of standards confusion.
>  
> Our current workaround is to relax the requirement a little bit and accept to-
> and from-tags exchanged. That works fine, however there is some risk that this
> can lead to some false pickups. However, I don¹t know a scenario where this
> can be an issue.
>  
> Christian
>  
> 
> REFER modifying an INVITE may not know who started the dialog and so renaming
> the Replaces fields makes no difference since the referrer still doesn't know
> which tag to place in which field.  The target has to perform a lookup using
> both mappings - often one will find a dialog and the other will not.
> 
>  
> 
>   "If the Replaces header field matches more than one dialog, the UA MUST act
> as if no match is found."
> 
>  
> 
> Subject: [Sip] From and To-header confusion in draft-ietf-sip-replaces-04.txt
>> 
>> Hi!
>>  
>> Depending on who initiates the call, the to and from must be exchanged. Maybe
>> it would be better to use the term local and remote-tag instead or to allow
>> mixing from and to.
>>  
>> Christian
>> --
>> Christian Stredicke